/* =========================
   Floor 1 – Rooms
   ========================= */

.room-1-1 {
    position: absolute;
    top: 92.4%;    /* adjust */
    left: 48.15%;   /* adjust */
    width: 3.9%;   /* adjust */
    height: 7.8%;  /* adjust */
}

.room-1-2 {
    position: absolute;
    top: 82.9%;    /* 1658px*/
    left: 44.45%;   /* 889px */
    width: 11.3%;   /* 226px */
    height: 9.45%;  /* 189px */
}

.room-1-3 {
    position: absolute;
    top: 70%;
    left: 61.7%;
    width: 9.6%;
    height: 6%;
}

.room-1-4 {
    position: absolute;
    top: 55%;
    left: 66.7%;
    width: 10.3%;
    height: 11.8%;
}

.room-1-5 {
    position: absolute;
    top: 49%;
    left: 73.3%;
    width: 7.6%;
    height: 5.8%;
}

.room-1-6 {
    position: absolute;
    top: 33.7%;
    left: 33.9%;
    width: 32.5%;
    height: 32.5%;
}

.room-1-7 {
    position: absolute;
    top: 37.7%;
    left: 37.7%;
    width: 24.8%;
    height: 24.5%;
}

.room-1-8 {
    position: absolute;
    top: 44.3%;
    left: 11.7%;
    width: 22%;
    height: 11.5%;
}

.room-1-9 {
    position: absolute;
    top: 14.6%;
    left: 42.5%;
    width: 15%;
    height: 15.1%;
}

.room-1-10 {
    position: absolute;
    top: 76.1%;
    left: 62.5%;
    width: 4%;
    height: 6.4%;
}

.room-1-11 {
    position: absolute;
    top: 76.1%;
    left: 23.5%;
    width: 20%;
    height: 18.4%;
}

.room-1-12 {
    position: absolute;
    top: 70.1%;
    left: 18.5%;
    width: 4.5%;
    height: 11.4%;
}

.room-1-13 {
    position: absolute;
    top: 70.1%;
    left: 24%;
    width: 4%;
    height: 6%
}

.room-1-14 {
    position: absolute;
    top: 64.5%;
    left: 12.7%;
    width: 12.5%;
    height: 4.5%;
}

.room-1-15 {
    position: absolute;
    top: 60.5%;
    left: 21.3%;
    width: 4%;
    height: 3%;
}

.room-1-16 {
    position: absolute;
    top: 60.5%;
    left: 16.3%;
    width: 4%;
    height: 3%;
}

.room-1-17 {
    position: absolute;
    top: 60.5%;
    left: 27%;
    width: 4%;
    height: 8%;
}

.room-1-18 {
    position: absolute;
    top: 60.5%;
    left: 4%;
    width: 7.5%;
    height: 7.5%;
}

.room-1-19 {
    position: absolute;
    top: 26%;
    left: 61.6%;
    width: 7.5%;
    height: 5.5%;
}

.room-1-20 {
    position: absolute;
    top: 33.8%;
    left: 75%;
    width: 7.7%;
    height: 5.6%;
}

.room-1-21 {
    position: absolute;
    top: 37.8%;
    left: 85%;
    width: 1.7%;
    height: 13%;
}

.room-1-22 {
    position: absolute;
    top: 43.4%;
    left: 88.5%;
    width: 7.7%;
    height: 4%;
}

.room-1-23 {
    position: absolute;
    top: 26%;
    left: 88.5%;
    width: 3.7%;
    height: 7.5%;
}

.room-1-24 {
    position: absolute;
    top: 24%;
    left: 81%;
    width: 5.7%;
    height: 4%;
}

.room-1-25 {
    position: absolute;
    top: 14.5%;
    left: 71.5%;
    width: 7.5%;
    height: 9.5%;
}

.room-1-26 {
    position: absolute;
    top: 35.5%;
    left: 67%;
    width: 3.7%;
    height: 11.5%;
}

.room-1-27 {
    position: absolute;
    top: 20.2%;
    left: 10%;
    width: 7.5%;
    height: 7.5%;
}

.room-1-28 {
    position: absolute;
    top: 70.2%;
    left: 56%;
    width: 5.5%;
    height: 7.5%;
}

.room-1-29 {
    position: absolute;
    top: 66.5%;
    left: 44.2%;
    width: 11.5%;
    height: 9.5%;
}

.room-1-30 {
    position: absolute;
    top: 41.5%;
    left: 4%;
    width: 7.5%;
    height: 5.5%;
}

.room-1-31 {
    position: absolute;
    top: 20.2%;
    left: 19.3%;
    width: 17.4%;
    height: 6%;
}

.room-1-32 {
    position: absolute;
    top: 5%;
    left: 36.6%;
    width: 15.4%;
    height: 7.5%;
}

.room-1-33 {
    position: absolute;
    top: 29.8%;
    left: 7.7%;
    width: 5.8%;
    height: 5.7%;
}

.room-1-34 {
    position: absolute;
    top: 68.2%;
    left: 34.7%;
    width: 9.4%;
    height: 5.8%;
}

.room-1-35 {
    position: absolute;
    top: 78.7%;
    left: 67.4%;
    width: 7.7%;
    height: 5.8%;
}

.room-1-36 {
    position: absolute;
    top: 76.7%;
    left: 75.2%;
    width: 9.6%;
    height: 6%;
}

.room-1-37 {
    position: absolute;
    top: 67%;
    left: 73.3%;
    width: 17.6%;
    height: 9.5%;
}

.room-1-38 {
    position: absolute;
    top: 56.7%;
    left: 84.6%;
    width: 9.7%;
    height: 9.7%;
}

.room-1-39 {
    position: absolute;
    top: 51%;
    left: 82.7%;
    width: 7.8%;
    height: 5.7%;
}

.room-1-40 {
    position: absolute;
    top: 31.7%;
    left: 17.4%;
    width: 3.8%;
    height: 12.5%;
}

.room-1-41 {
    position: absolute;
    top: 27.7%;
    left: 25%;
    width: 5.8%;
    height: 6%;
}

.room-1-42 {
    position: absolute;
    top: 27.7%;
    left: 32.7%;
    width: 7.9%;
    height: 5%;
}

/* =========================
   Floor 1 – Doors
   ========================= */

   .door1-2W {
    top: 82.7%;     /* 1658 */
    left: 44.15%;    /* 883 */
    width: 0.5%;     /* 6 */
    height: 1.65%;  /* 33 */
}

    .door1-2E {
    top: 82.7%;     /* 1658 */
    left: 55.6%;
    width: 0.5%;     /* 6 */
    height: 1.65%;  /* 33 */
}

    .door1-35 {
    top: 82.7%;
    left: 67.2%;
    width: 0.5%;
    height: 1.65%;
}

    .door1-37s {
    top: 76.3%;
    left: 78.8%;
    width: 1.4%;
    height: 1%;
}

    .door1-37w {
    top: 72.5%;
    left: 73%;
    width: 0.6%;
    height: 1.4%;
}